package com.hzs.member.account;

import com.hzs.common.core.domain.R;
import com.hzs.common.domain.member.account.CuMemberTradeRecoil;

import java.util.Date;
import java.util.List;

/**
 * 会员活动发放复消币明细dubbo接口
 */
public interface ICuMemberTradeRecoilServiceApi {

    /**
     * 批量保存发放复消明细
     *
     * @param recordList 复消明细列表
     * @return
     */
    R<?> insertBatch(List<CuMemberTradeRecoil> recordList);

    /**
     * 删除发放复消明细
     *
     * @param pkMember  会员ID
     * @param orderCode 订单编号
     * @return
     */
    R<?> deleteBatch(Long pkMember, String orderCode);

    /**
     * 删除发放复消明细（升级单）
     *
     * @param pkMember 会员ID
     * @param pkGrade  当前等级
     * @return
     */
    R<?> deleteUpdateBatch(Long pkMember, Integer pkGrade);

    /*
     *  查询带发放的复销积分
     **/
    R<List<CuMemberTradeRecoil>> queryCuMemberTradeRecoil(Date settleDate);

    R<Boolean> updateCuMemberTradeRecoil(Date settleDate);
}
